﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion

        ObservableCollection<GridDataItem> _data = new ObservableCollection<GridDataItem>();
        public ObservableCollection<GridDataItem> Data
        {
            get { return _data; }
            set
            {
                if (_data != value)
                {
                    _data = value;
                    OnPropertyChanged("Data");
                }
            }
        }

        public MainWindowViewModel()
        {
            Data.Add(new GridDataItem { Column0 = 0, Column1 = 0, Column2 = 0 });
            Data.Add(new GridDataItem { Column0 = 226, Column1 = 569, Column2 = 532 });
            Data.Add(new GridDataItem { Column0 = 1018, Column1 = 1396, Column2 = 1755 });
            Data.Add(new GridDataItem { Column0 = 155, Column1 = 2051, Column2 = 318 });
            Data.Add(new GridDataItem { Column0 = 3721, Column1 = 1595, Column2 = 3079 });
            Data.Add(new GridDataItem { Column0 = 3833, Column1 = 1290, Column2 = 4373 });
            Data.Add(new GridDataItem { Column0 = 1720, Column1 = 4806, Column2 = 1846 });
            Data.Add(new GridDataItem { Column0 = 6857, Column1 = 6250, Column2 = 3307 });
        }
    }

    public class GridDataItem
    {
        public int Column0 { get; set; }
        public int Column1 { get; set; }
        public int Column2 { get; set; }
    }
}
